Rated 1 out of 5 stars

Simply doesn't work on Firefox v7.0.1

Please fix and update it!

I'm using Firefox 7.0.1 now, and it still works. The Mozilla reviewed it. Please restart your browser after installing.